﻿using Telerik.TestingFramework.Controls.KendoUI;
using Telerik.WebAii.Controls.Html;
using Telerik.WebAii.Controls.Xaml;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Linq;
using System.Xml;
using System.Windows.Forms;

using ArtOfTest.Common.UnitTesting;
using ArtOfTest.WebAii.Core;
using ArtOfTest.WebAii.Controls.HtmlControls;
using ArtOfTest.WebAii.Controls.HtmlControls.HtmlAsserts;
using ArtOfTest.WebAii.Design;
using ArtOfTest.WebAii.Design.Execution;
using ArtOfTest.WebAii.ObjectModel;
using ArtOfTest.WebAii.Silverlight;
using ArtOfTest.WebAii.Silverlight.UI;
using ArtOfTest.WebAii.Win32.Dialogs;

namespace Telerik_Troubleshooting
{
    public class Common : BaseWebAiiTest
    {
        private Pages _pages;

        /// <summary>
        /// Gets the Pages object that has references
        /// to all the elements, frames or regions
        /// in this project.
        /// </summary>
        public Pages Pages
        {
            get
            {
                if (_pages == null)
                {
                    _pages = new Pages(Manager.Current);
                }
                return _pages;
            }
        }

        public void actionSearch()
        {
            this.ExecuteTest("Search.tstest");
        }

        public string colCount()
        {
            RadGridView grid = Pages.TelerikGridViewFor.SilverlightApp.testRadGridView;

            Wait.For<RadGridView>(rgv => rgv.HeaderRow.HeaderCells.Count > 1, grid, 15000);

            string cols = Convert.ToString(grid.HeaderRow.HeaderCells.Count);

            return cols;
        }

        public void gridViewIssue()
        {
            string count = this.colCount();
            Log.WriteLine("Column Count: " + count);
        }
    }
}
